/* gui_jezzebel_lvlup
Thanks to the following members of the Bioware board who helped me modify the levelup screen.
This script is fired when the player clicks the finish button.
Thanks to JuliaM and Trylane.
*/

#include "ginc_companion"
#include "ginc_gui"
//#include "cmi_ginc_chars"


void main()
{
	object oLevel = GetControlledCharacter(OBJECT_SELF);
	object oPC = oLevel;

	int iPC = GetSubRace(oLevel);
	int iPCLevel = GetTotalLevels(oLevel, FALSE);

	effect eLevel = EffectNWN2SpecialEffectFile("ajoc_fx_conduit_conjure");

	//debug
	//SendMessageToPC(oPC,"I am level "+IntToString(iPCLevel)+" now.");

	//backup to kaedrin, but not needed
	//ExecuteScript("ccs_player_levelup", oLevel);

	if (iPC	== 64) //HALF_FIEND
	{
		if (iPCLevel == 19)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4022,FALSE);//Destruction
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel == 17)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4021,FALSE);//Summon Hezrou
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel == 15)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4020,FALSE);//Horrid Wilting
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel == 13)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4018,FALSE);//Unholy Aura
			//FeatAdd(oPC,4019,FALSE);//Unhallow  --cut--
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel == 11)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4017,FALSE);//Blasphemy
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel ==  9)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4016,FALSE);//Contagion
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel ==  7)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4015,FALSE);//Poison
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel ==  5)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4014,FALSE);//Unholy Blight
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}
		else if (iPCLevel ==  3)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4013,FALSE);//Desecrate
			SetNoticeText(oPC,"Вы получили новую демоническую способность.");
		}

	}

	if (iPC	== 65)//HALE_CELESTIAL
	{
		if (iPCLevel == 19)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,2121,FALSE);//Resurection
			SetNoticeText(oPC,"Вы получили новую небесную способность.");
		}
		else if (iPCLevel == 17)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,2124,FALSE);//Summon Monster IX Good
			SetNoticeText(oPC,"Вы получили новую небесную способность.");
		}
		else if (iPCLevel == 15)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,2123,FALSE);//Mass Charm Monster
			SetNoticeText(oPC,"Вы получили новую небесную способность.");
		}
		else if (iPCLevel == 13)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4010,FALSE);//Holy Aura
			//FeatAdd(oPC,4011,FALSE);//Hallow  --cut--
			SetNoticeText(oPC,"Вы получили новую небесную способность.");
		}
		else if (iPCLevel == 11)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4023,FALSE);//Holy Word
			SetNoticeText(oPC,"Вы получили новую небесную способность.");
		}
		else if (iPCLevel ==  9)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			//FeatAdd(oPC,4009,FALSE);//Dispel Alignment --cut--
			FeatAdd(oPC,4008,FALSE);//Remove Disease
			SetNoticeText(oPC,"Вы получили новую небесную способность.");
		}
		else if (iPCLevel ==  7)
		{
			FloatingTextStringOnCreature("Я получил(а) новую способность.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4007,FALSE);//Holy Smite
			//FeatAdd(oPC,4008,FALSE);//Remove Disease --moved to level 9--
			SetNoticeText(oPC,"Вы получили новую небесную способность.");
		}
		else if (iPCLevel ==  5)
		{
			FloatingTextStringOnCreature("Я получил(а) новые способности.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4005,FALSE);//Cure Serious Wounds
			FeatAdd(oPC,4006,FALSE);//Nuetralize Poison
			SetNoticeText(oPC,"Вы получили новые небесные способности.");
		}
		else if (iPCLevel ==  3)
		{
			FloatingTextStringOnCreature("Я получил(а) новые способности.",oPC);
			ApplyEffectToObject(DURATION_TYPE_INSTANT,eLevel,oPC);
			FeatAdd(oPC,4003,FALSE);//Aid
			FeatAdd(oPC,4004,FALSE);//Detect Evil
			SetNoticeText(oPC,"Вы получили новые небесные способности.");
		}

	}

	//ExecuteScript("cmi_player_levelup", OBJECT_SELF);
}